添加到收藏    打印

PHP配置说明

修改php版本

捌号主机目前支持php版本有:4.4,5.2,5.3,5.4,5.5,5.6,默认版本为5.2.

用户可以自定义每个网站各自的php版本,具体操作如下: 通过控制面板的“文件管理器”,或者通过ftp客户端,访问cgi-bin目录,修改其中的phpver文件。

#set php version below: 44|52|53|54|55|56 avaliable.
version=52

修改“version=”后的数字为需要的php版本即可。注意文件编码不能是DOS格式,如果您不清楚的话,请用在线文件管理器编辑。

修改后的php版本配置,要等到前面php进程结束,启动新进程时候生效。

要让修改后立即生效,可以访问您域名根目录下的reset.php,就可以立即结束所有正在运行的php进程,让新配置立即生效。(特别提示:请把reset.php改成其他复杂的文件名.php,避免被乱用)

修改php功能

捌号主机的用户可以定义每个站点各自的php功能,具体操作如下:

通过控制面板的“文件管理器”或者ftp客户端,访问网站cgi-bin目录,修改其中的php.ini文件。

其中,php44.ini对应php4.4版本,php52.ini对应php5.2版本,php53.ini对应php5.3版本,php54.ini对应php5.4版本,php55.ini对应php5.5版本,php56.ini对应php5.6版本。

php.ini详细配置说明请参考这里。

简单来说,要开启扩展功能的话,删除相应extension=前面的;,要关闭扩展功能的话,在相应extension=前面加上;

另外需要注意:

  1. 关于php脚本的优化扩展,包括APC/APCu、eAccelerator、XCache和Zend Opcache,需要时只开启其中一个即可,多个优化同时加载会影响程序效率和稳定。
  2. 关于ionCube、Zend Guard Loader和Zend Optimizer,只有在程序加密时候才用到,大部分程序并不需要,具体请参考程序官方提供的运行需求。

修改后的php功能配置,要等到前面php进程结束,启动新进程时候生效。

要让修改后立即生效,可以访问您域名根目录下的reset.php,就可以立即结束所有正在运行的php进程,让新配置立即生效。(特别提示:请把reset.php改成其他复杂的文件名.php,避免被乱用)

捌号主机PHP版本及扩展功能一览表
扩展 PHP4.4 PHP5.2 PHP5.3 PHP5.4 PHP5.5 PHP5.6
bcmath 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
bz2 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
calendar 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
Core 不可用 不可用 可用 可用 可用 可用
ctype 可用 可用 可用 可用 可用 可用
curl 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
date 不可用 可用 可用 可用 可用 可用
dio 可用/可关 不可用 不可用 不可用 不可用 不可用
dom 不可用 可用 可用 可用 可用 可用
domxml 可用/可关 不可用 不可用 不可用 不可用 不可用
ereg 不可用 不可用 可用 可用 可用 可用
exif 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
fileinfo 不可用 不可用 可用 可用 可用 可用
filter 不可用 可用 可用 可用 可用 可用
ftp 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
gd 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
gettext 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
gmp 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
hash 不可用 可用 可用 可用 可用 可用
iconv 可用/可关 可用 可用 可用 可用 可用
imagick 不可用 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
intl 不可用 不可用 可用/可关 可用/可关 不可用 不可用
json 不可用 可用 可用 可用 可用 可用
libxml 不可用 可用 可用 可用 可用 可用
mbstring 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
mcrypt 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
mime_magic 可用/可关 可用/可关 不可用 不可用 不可用 不可用
mysql 可用 可用/可关 可用 可用 可用 可用
mysqli 不可用 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
mysqlnd 不可用 不可用 可用 可用 可用 可用
openssl 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
overload 可用 不可用 不可用 不可用 不可用 不可用
pcre 可用 可用 可用 可用 可用 可用
PDO 不可用 可用 可用 可用 可用 可用
pdo_mysql 不可用 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
pdo_sqlite 不可用 可用 可用 可用 可用 可用
Phar 不可用 不可用 可用 可用 可用 可用
posix 可用 可用 可用 可用 可用 可用
pspell 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
recode 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
Reflection 不可用 可用 可用 可用 可用 可用
session 可用 可用 可用 可用 可用 可用
shmop 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
SimpleXML 不可用 可用 可用 可用 可用 可用
soap 不可用 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
sockets 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
SPL 不可用 可用 可用 可用 可用 可用
SQLite 不可用 可用 可用 不可用 不可用 不可用
sqlite3 不可用 不可用 可用 可用 可用 可用
standard 可用 可用 可用 可用 可用 可用
sysvmsg 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
sysvsem 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
sysvshm 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
tidy 不可用 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
tokenizer 可用 可用 可用 可用 可用 可用
uploadprogress 不可用 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
wddx 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
xml 可用 可用 可用 可用 可用 可用
xmlreader 不可用 可用 可用 可用 可用 可用
xmlrpc 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
xmlwriter 不可用 可用 可用 可用 可用 可用
xsl 不可用 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
zip 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
zlib 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
APC 不可用 可用/可关 可用/可关 可用/可关 APCu/可关 APCu/可关
eAccelerator 不可用 可用/可关 可用/可关 可用/可关 不可用 不可用
XCache 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
ionCube 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
Zend Opcache 不可用 可用/可关 可用/可关 可用/可关 可用/可关 可用/可关
Zend Guard Loader 不可用 不可用 可用/可关 可用/可关 不可用 不可用
Zend Optimizer 可用/可关 可用/可关 不可用 不可用 不可用 不可用


此答案有用么?